# Method: projects.secrets.versions.destroy

- [HTTP request](https://docs.cloud.google.com/secret-manager/docs/reference/rest/v1/projects.secrets.versions/destroy#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/secret-manager/docs/reference/rest/v1/projects.secrets.versions/destroy#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/secret-manager/docs/reference/rest/v1/projects.secrets.versions/destroy#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/secret-manager/docs/reference/rest/v1/projects.secrets.versions/destroy#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/secret-manager/docs/reference/rest/v1/projects.secrets.versions/destroy#body.response_body)
- [Authorization Scopes](https://docs.cloud.google.com/secret-manager/docs/reference/rest/v1/projects.secrets.versions/destroy#body.aspect)
- [Try it!](https://docs.cloud.google.com/secret-manager/docs/reference/rest/v1/projects.secrets.versions/destroy#try-it)

Destroys a `https://docs.cloud.google.com/secret-manager/docs/reference/rest/v1/projects.secrets.versions#SecretVersion`.

Sets the `https://docs.cloud.google.com/secret-manager/docs/reference/rest/v1/projects.secrets.versions#SecretVersion.FIELDS.state` of the `https://docs.cloud.google.com/secret-manager/docs/reference/rest/v1/projects.secrets.versions#SecretVersion` to `https://docs.cloud.google.com/secret-manager/docs/reference/rest/v1/projects.secrets.versions#State.ENUM_VALUES.DESTROYED` and irrevocably destroys the secret data.

### HTTP request

`POST https://secretmanager.googleapis.com/v1/{name=projects/*/secrets/*/versions/*}:destroy`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The resource name of the `https://docs.cloud.google.com/secret-manager/docs/reference/rest/v1/projects.secrets.versions#SecretVersion` to destroy in the format `projects/*/secrets/*/versions/*`. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `name`: - `secretmanager.versions.destroy` |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "etag": string } ``` |

| Fields ||
|---|---|
| `etag` | `string` Optional. Etag of the `https://docs.cloud.google.com/secret-manager/docs/reference/rest/v1/projects.secrets.versions#SecretVersion`. The request succeeds if it matches the etag of the currently stored secret version object. If the etag is omitted, the request succeeds. |

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/secret-manager/docs/reference/rest/v1/projects.secrets.versions#SecretVersion`.

### Authorization Scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://cloud.google.com/docs/authentication/).